Package io.vertx.grpc.common

## Interface ServiceMethod<I,​O>

-     public interface ServiceMethod<I,​O>

  Bundle all the bits required to call or bind a grpc service method.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <Req,​Resp> ServiceMethod<Resp,​Req>` | `client​(ServiceName serviceName, String methodName, GrpcMessageEncoder<Req> encoder, GrpcMessageDecoder<Resp> decoder)` |
    `GrpcMessageDecoder<I>` | `decoder()` |
    `GrpcMessageEncoder<O>` | `encoder()` |
    `default String` | `fullMethodName()` |
    `String` | `methodName()` |
    `static <Req,​Resp> ServiceMethod<Req,​Resp>` | `server​(ServiceName serviceName, String methodName, GrpcMessageEncoder<Resp> encoder, GrpcMessageDecoder<Req> decoder)` |
    `ServiceName` | `serviceName()` |

- - ### Method Detail

    - #### client

          static <Req,​Resp> ServiceMethod<Resp,​Req> client​(ServiceName serviceName,
                                                                       String methodName,
                                                                       GrpcMessageEncoder<Req> encoder,
                                                                       GrpcMessageDecoder<Resp> decoder)

    - #### server

          static <Req,​Resp> ServiceMethod<Req,​Resp> server​(ServiceName serviceName,
                                                                       String methodName,
                                                                       GrpcMessageEncoder<Resp> encoder,
                                                                       GrpcMessageDecoder<Req> decoder)

    - #### serviceName

          ServiceName serviceName()

      Returns:
        the service name.

    - #### methodName

          String methodName()

      Returns:
        the method name

    - #### fullMethodName

          default String fullMethodName()

    - #### decoder

          GrpcMessageDecoder<I> decoder()

      Returns:
        the message decoder

    - #### encoder

          GrpcMessageEncoder<O> encoder()

      Returns:
        the message encoder